#ifndef RAINBOW_NARROW_H
#define RAINBOW_NARROW_H

#include "QColorMapAction.h"

class Rainbow_narrow : public QColorMapAction
{
public:
    Rainbow_narrow(QObject *parent) : QColorMapAction(tr("Narrow Rainbow"),parent) {}

    void apply(vector<QRgb> &colormap)
    {
        QColorMapAction::GaussDist red(0,64.0);
        QColorMapAction::GaussDist green(127,64.0);
        QColorMapAction::GaussDist blue(255,64.0);
        for(int i=0;i<int(colormap.size());i++)
        {
           colormap[i]=qRgb(red(i),green(i),blue(i));
        }
    }
};

#endif // RAINBOW_SOFT_H
