#ifndef RAINBOW_SOFT_H
#define RAINBOW_SOFT_H

#include "QColorMapAction.h"

class Rainbow_soft : public QColorMapAction
{
public:
    Rainbow_soft(QObject *parent) : QColorMapAction(tr("Soft Rainbow"),parent) {}

    void apply(vector<QRgb> &colormap)
    {
        QColorMapAction::GaussDist red(0,128.0);
        QColorMapAction::GaussDist green(127,128.0);
        QColorMapAction::GaussDist blue(255,128.0);
        for(int i=0;i<int(colormap.size());i++)
        {
           colormap[i]=qRgb(red(i),green(i),blue(i));
        }
    }
};

#endif // RAINBOW_SOFT_H
