#ifndef RAINBOW_WIDE_H
#define RAINBOW_WIDE_H

#include "QColorMapAction.h"

class Rainbow_wide : public QColorMapAction
{
public:
    Rainbow_wide(QObject *parent) : QColorMapAction(tr("Wide Rainbow"),parent) {}

    void apply(vector<QRgb> &colormap)
    {
        QColorMapAction::GaussDist red(0,256.0);
        QColorMapAction::GaussDist green(127,256.0);
        QColorMapAction::GaussDist blue(255,256.0);
        for(int i=0;i<int(colormap.size());i++)
        {
           colormap[i]=qRgb(red(i),green(i),blue(i));
        }
    }
};

#endif // RAINBOW_WIDE_H
