#ifndef DEFAULTCOLORMAP_H
#define DEFAULTCOLORMAP_H

#include "QColorMapAction.h"

using namespace std;

class DefaultColorMap : public QColorMapAction
{
public:
    DefaultColorMap(QObject *parent) : QColorMapAction(tr("Default map"),parent) {}

    void apply(vector<QRgb> &colormap)
    {
        QRgb incr=0x00FFFFFF/colormap.size();
        QRgb value=0xFF000000;
        for(size_t i=0;i<colormap.size();i++)
        {
            colormap[i]=value+=incr;
        }
    }

};

#endif // DEFAULTCOLORMAP_H
